/*
   GoToSocial
   Copyright (C) 2021 GoToSocial Authors admin@gotosocial.org

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Affero General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Affero General Public License for more details.

   You should have received a copy of the GNU Affero General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package gtsmodel

const (
	// ActivityStreamsArticle https://www.w3.org/TR/activitystreams-vocabulary/#dfn-article
	ActivityStreamsArticle = "Article"
	// ActivityStreamsAudio https://www.w3.org/TR/activitystreams-vocabulary/#dfn-audio
	ActivityStreamsAudio = "Audio"
	// ActivityStreamsDocument https://www.w3.org/TR/activitystreams-vocabulary/#dfn-document
	ActivityStreamsDocument = "Event"
	// ActivityStreamsEvent https://www.w3.org/TR/activitystreams-vocabulary/#dfn-event
	ActivityStreamsEvent = "Event"
	// ActivityStreamsImage https://www.w3.org/TR/activitystreams-vocabulary/#dfn-image
	ActivityStreamsImage = "Image"
	// ActivityStreamsNote https://www.w3.org/TR/activitystreams-vocabulary/#dfn-note
	ActivityStreamsNote = "Note"
	// ActivityStreamsPage https://www.w3.org/TR/activitystreams-vocabulary/#dfn-page
	ActivityStreamsPage = "Page"
	// ActivityStreamsPlace https://www.w3.org/TR/activitystreams-vocabulary/#dfn-place
	ActivityStreamsPlace = "Place"
	// ActivityStreamsProfile https://www.w3.org/TR/activitystreams-vocabulary/#dfn-profile
	ActivityStreamsProfile = "Profile"
	// ActivityStreamsRelationship https://www.w3.org/TR/activitystreams-vocabulary/#dfn-relationship
	ActivityStreamsRelationship = "Relationship"
	// ActivityStreamsTombstone https://www.w3.org/TR/activitystreams-vocabulary/#dfn-tombstone
	ActivityStreamsTombstone = "Tombstone"
	// ActivityStreamsVideo https://www.w3.org/TR/activitystreams-vocabulary/#dfn-video
	ActivityStreamsVideo = "Video"
)

const (
	// ActivityStreamsApplication https://www.w3.org/TR/activitystreams-vocabulary/#dfn-application
	ActivityStreamsApplication = "Application"
	// ActivityStreamsGroup https://www.w3.org/TR/activitystreams-vocabulary/#dfn-group
	ActivityStreamsGroup = "Group"
	// ActivityStreamsOrganization https://www.w3.org/TR/activitystreams-vocabulary/#dfn-organization
	ActivityStreamsOrganization = "Organization"
	// ActivityStreamsPerson https://www.w3.org/TR/activitystreams-vocabulary/#dfn-person
	ActivityStreamsPerson = "Person"
	// ActivityStreamsService https://www.w3.org/TR/activitystreams-vocabulary/#dfn-service
	ActivityStreamsService = "Service"
)

const (
	// ActivityStreamsAccept https://www.w3.org/TR/activitystreams-vocabulary/#dfn-accept
	ActivityStreamsAccept = "Accept"
	// ActivityStreamsAdd https://www.w3.org/TR/activitystreams-vocabulary/#dfn-add
	ActivityStreamsAdd = "Add"
	// ActivityStreamsAnnounce https://www.w3.org/TR/activitystreams-vocabulary/#dfn-announce
	ActivityStreamsAnnounce = "Announce"
	// ActivityStreamsArrive https://www.w3.org/TR/activitystreams-vocabulary/#dfn-arrive
	ActivityStreamsArrive = "Arrive"
	// ActivityStreamsBlock https://www.w3.org/TR/activitystreams-vocabulary/#dfn-block
	ActivityStreamsBlock = "Block"
	// ActivityStreamsCreate https://www.w3.org/TR/activitystreams-vocabulary/#dfn-create
	ActivityStreamsCreate = "Create"
	// ActivityStreamsDelete https://www.w3.org/TR/activitystreams-vocabulary/#dfn-delete
	ActivityStreamsDelete = "Delete"
	// ActivityStreamsDislike https://www.w3.org/TR/activitystreams-vocabulary/#dfn-dislike
	ActivityStreamsDislike = "Dislike"
	// ActivityStreamsFlag https://www.w3.org/TR/activitystreams-vocabulary/#dfn-flag
	ActivityStreamsFlag = "Flag"
	// ActivityStreamsFollow https://www.w3.org/TR/activitystreams-vocabulary/#dfn-follow
	ActivityStreamsFollow = "Follow"
	// ActivityStreamsIgnore https://www.w3.org/TR/activitystreams-vocabulary/#dfn-ignore
	ActivityStreamsIgnore = "Ignore"
	// ActivityStreamsInvite https://www.w3.org/TR/activitystreams-vocabulary/#dfn-invite
	ActivityStreamsInvite = "Invite"
	// ActivityStreamsJoin https://www.w3.org/TR/activitystreams-vocabulary/#dfn-join
	ActivityStreamsJoin = "Join"
	// ActivityStreamsLeave https://www.w3.org/TR/activitystreams-vocabulary/#dfn-leave
	ActivityStreamsLeave = "Leave"
	// ActivityStreamsLike https://www.w3.org/TR/activitystreams-vocabulary/#dfn-like
	ActivityStreamsLike = "Like"
	// ActivityStreamsListen https://www.w3.org/TR/activitystreams-vocabulary/#dfn-listen
	ActivityStreamsListen = "Listen"
	// ActivityStreamsMove https://www.w3.org/TR/activitystreams-vocabulary/#dfn-move
	ActivityStreamsMove = "Move"
	// ActivityStreamsOffer https://www.w3.org/TR/activitystreams-vocabulary/#dfn-offer
	ActivityStreamsOffer = "Offer"
	// ActivityStreamsQuestion https://www.w3.org/TR/activitystreams-vocabulary/#dfn-question
	ActivityStreamsQuestion = "Question"
	// ActivityStreamsReject https://www.w3.org/TR/activitystreams-vocabulary/#dfn-reject
	ActivityStreamsReject = "Reject"
	// ActivityStreamsRead https://www.w3.org/TR/activitystreams-vocabulary/#dfn-read
	ActivityStreamsRead = "Read"
	// ActivityStreamsRemove https://www.w3.org/TR/activitystreams-vocabulary/#dfn-remove
	ActivityStreamsRemove = "Remove"
	// ActivityStreamsTentativeReject https://www.w3.org/TR/activitystreams-vocabulary/#dfn-tentativereject
	ActivityStreamsTentativeReject = "TentativeReject"
	// ActivityStreamsTentativeAccept https://www.w3.org/TR/activitystreams-vocabulary/#dfn-tentativeaccept
	ActivityStreamsTentativeAccept = "TentativeAccept"
	// ActivityStreamsTravel https://www.w3.org/TR/activitystreams-vocabulary/#dfn-travel
	ActivityStreamsTravel = "Travel"
	// ActivityStreamsUndo https://www.w3.org/TR/activitystreams-vocabulary/#dfn-undo
	ActivityStreamsUndo = "Undo"
	// ActivityStreamsUpdate https://www.w3.org/TR/activitystreams-vocabulary/#dfn-update
	ActivityStreamsUpdate = "Update"
	// ActivityStreamsView https://www.w3.org/TR/activitystreams-vocabulary/#dfn-view
	ActivityStreamsView = "View"
)
